Download it now!
Bug 125415 - Flicker when hovering over submenus with default rendering
Summary: Flicker when hovering over submenus with default rendering
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.3.0 target:6.2.5
Keywords:
Depends on:
Blocks: Flickering-UI
  Show dependency treegraph
 
Reported: 2019-05-21 11:14 UTC by Aron Budea
Modified: 2020-04-20 02:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-05-21 11:14:19 UTC
- Switch to default rendering.
- Start Writer.
- Open one of the menus in main menu, and hover mouse cursor over the items.

=> The menu flickers.

This is a follow-up to bug 91366, after that fix the flicker is restricted to the consecutive menu items the cursor is hovering over, but still not completely gone.
The same issue for the main menu was reported in bug 113714, which is now fixed, but is a different piece of code.

Observed using LO 6.3.0.0.alpha0+ (d6e8e41c22023bc15cc4c9659b33c1cc3d6edb75), 5.0.0.5 / Windows 7.
Comment 1 Commit Notification 2019-05-21 22:00:02 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c04169c586ef1d55b1d0ac469bb4fbd4f50bd08a%5E%21

tdf#125415 vcl menu floating window: avoid flicker

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Miklos Vajna 2019-05-22 07:35:00 UTC
I'll backport this to libreoffice-6-2 once the review queue is a bit shorter.
Comment 3 Commit Notification 2019-05-29 11:57:03 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/3c40f60c1693e477d0bb85b549b30a56a8ab9378%5E%21

tdf#125415 vcl menu floating window: avoid flicker

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.